﻿using Hotline.KnowledgeBase;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Knowledge
{
    public class KnowledgeRepository : BaseRepository<KnowledgeBase.Knowledge>, IKnowledgeRepository, IScopeDependency
    {
        public KnowledgeRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {

        }
    }
}
